Package bitel.billing.server.admin.resource.bean

# Class NumberResourceCategoryManager

java.lang.Object
bitel.billing.server.admin.resource.bean.ResourceCategoryManager<NumberResourceCategory>
bitel.billing.server.admin.resource.bean.NumberResourceCategoryManager

    public class NumberResourceCategoryManager
    extends ResourceCategoryManager<NumberResourceCategory>

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.admin.resource.bean.ResourceCategoryManager

  `con, tableName`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NumberResourceCategoryManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteCategory​(int id)` |
  `NumberResourceCategory` | `getCategory​(int id)` |
  `protected NumberResourceCategory` | `getCategoryFromRs​(java.sql.ResultSet rs)` |
  `java.util.List<NumberResourceCategory>` | `getCategoryTree()` |
  `java.util.List<NumberResourceCategory>` | `getNumberResourceCategoryList()` | Возвращает лист категорий номеров модуля Phone, без выстраивания дерева
  `protected java.lang.String` | `getTableName()` |
  `void` | `updateCategory​(NumberResourceCategory category)` |

  ### Methods inherited from class bitel.billing.server.admin.resource.bean.ResourceCategoryManager

  `getSubCount, loadStandartCategoryFields`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberResourceCategoryManager

    public NumberResourceCategoryManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getCategoryFromRs

    protected NumberResourceCategory getCategoryFromRs​(java.sql.ResultSet rs)
    Specified by:
      `getCategoryFromRs` in class `ResourceCategoryManager<NumberResourceCategory>`

  - ### updateCategory

    public void updateCategory​(NumberResourceCategory category)

  - ### deleteCategory

    public void deleteCategory​(int id)
    Overrides:
      `deleteCategory` in class `ResourceCategoryManager<NumberResourceCategory>`

  - ### getCategory

    public NumberResourceCategory getCategory​(int id)
    Overrides:
      `getCategory` in class `ResourceCategoryManager<NumberResourceCategory>`

  - ### getNumberResourceCategoryList

    public java.util.List<NumberResourceCategory> getNumberResourceCategoryList()
    Возвращает лист категорий номеров модуля Phone, без выстраивания дерева
    Returns:

  - ### getCategoryTree

    public java.util.List<NumberResourceCategory> getCategoryTree()
    Overrides:
      `getCategoryTree` in class `ResourceCategoryManager<NumberResourceCategory>`

  - ### getTableName

    protected java.lang.String getTableName()
    Specified by:
      `getTableName` in class `ResourceCategoryManager<NumberResourceCategory>`